%define modname Term-ProgressBar
Name:           perl-%{modname}
Version:        2.09
Release:        3.pm.9.1
Summary:        A progress bar for terminals
Requires:       perl-Class-MethodMaker perl-TermReadKey
BuildRequires:  perl perl-Class-MethodMaker perl-TermReadKey
BuildRequires:  perl-macros
License:        GPL/Artistic
Group:          Development/Libraries/Perl
Source:         %{modname}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-root
%{perl_requires}

%description
This module provides a simple progress indicator for command line
programs.  You initialize a ProgressBar object with a brief
description of what is happening and the number of things that need
doing, and after each thing is done you call the object's update()
method.

At the moment, this is presented to the user (on stderr) as a sequence
of 50 hash marks (no matter how many things are being done).

Authors:
--------
    Ed Avis <ed@membled.com>
    Martyn J. Pearce <fluffy@cpan.org>

%prep
%setup -q -n %{modname}-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make
make test

%install
rm -rf %{buildroot}
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README Changes BUGS examples
%doc %{_mandir}/man?/*
%{perl_vendorlib}/Term
%{perl_vendorarch}/auto/Term-ProgressBar

%changelog
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
* Tue Jun 20 2006 jfunk@funktronics.ca
- Build under buildservice
* Fri Nov 11 2005 jfunk@funktronics.ca
- Build for SL10
* Thu May 12 2005 jfunk@funktronics.ca
- Update
- Build for SL93
* Fri Nov 19 2004 jfunk@funktronics.ca
- Build for SL92
* Tue May 11 2004 jfunk@funktronics.ca
- Update
- Build for SL91
* Tue Nov  4 2003 jfunk@funktronics.ca
- Update
- Build for SUSE 9.0
* Fri May 30 2003 jfunk@funktronics.ca
- Update
- Build for SuSE 8.2
* Wed Dec 11 2002 jfunk@funktronics.ca
- Update to 2.02
- Build for SuSE 8.1
* Thu May 30 2002 jfunk@funktronics.ca
- Initial build with new spec layout
